@echo off

REM Drop left and right folders containing the same number of images into this batch file and it will be aligned and stored in the l/r subfolder in left folder.

setlocal ENABLEDELAYEDEXPANSION

mkdir %1\l
mkdir %1\r

set cnt=-1
for %%f in (%1\*) do (
set TRUE_FALSE=FALSE
if /i %%~xf==.JPG set TRUE_FALSE=TRUE
if /i %%~xf==.JPEG set TRUE_FALSE=TRUE
if /i %%~xf==.PNG set TRUE_FALSE=TRUE
if /i %%~xf==.TIF set TRUE_FALSE=TRUE
if /i %%~xf==.TIFF set TRUE_FALSE=TRUE
if !TRUE_FALSE!==TRUE (
set /A cnt=cnt+1
set files[!cnt!]=%%~nxf
)
)
set cnt2=-1
for %%f in (%2\*) do (
set TRUE_FALSE=FALSE
if /i %%~xf==.JPG set TRUE_FALSE=TRUE
if /i %%~xf==.JPEG set TRUE_FALSE=TRUE
if /i %%~xf==.PNG set TRUE_FALSE=TRUE
if /i %%~xf==.TIF set TRUE_FALSE=TRUE
if /i %%~xf==.TIFF set TRUE_FALSE=TRUE
if !TRUE_FALSE!==TRUE (
set /A cnt2=cnt2+1
set files2[!cnt2!]=%%~nxf
)
)
set /A ccall=cnt+1
for /L %%i in (0,1,%cnt%) do (
echo ---------------------------------------------
set /A cc=%%i + 1
echo !cc! / %ccall% [%1\!files[%%i]!]
"%~dp0\StereoAutoAlign" %1\!files[%%i]! %2\!files2[%%i]! 10 %1\l\!files[%%i]! %1\r\!files2[%%i]!
echo Copy Exif
"%~dp0\exiftool.exe" -TagsFromFile %1\!files[%%i]! -overwrite_original -all:all %1\l\!files[%%i]!
"%~dp0\exiftool.exe" -TagsFromFile %2\!files2[%%i]! -overwrite_original -all:all %1\r\!files2[%%i]!
echo Reset orientation tag
"%~dp0\exiftool.exe" -Orientation=1 -n -overwrite_original %1\l\!files[%%i]!
"%~dp0\exiftool.exe" -Orientation=1 -n -overwrite_original %1\r\!files2[%%i]!
) 
endlocal

pause
