@echo off

REM Drop the folder containing the MPO into this batch file and it will be aligned and stored in the lr subfolder.

setlocal ENABLEDELAYEDEXPANSION

mkdir "%~dp1\lr"

set cnt=-1
for %%f in (%*) do (
if /i %%~xf==.MPO (
set /A cnt=cnt+1
set files[!cnt!]=%%~nf
)
)
set /A ccall=cnt+1
del "%~dp0\tmp_mpo_r.jpg"
del "%~dp0\tmp_mpo_l.jpg"
for /L %%i in (0,1,%cnt%) do (
echo ---------------------------------------------
set /A cc=%%i + 1
echo !cc! / %ccall% [%~dp1\!files[%%i]!.mpo]
"%~dp0\exiftool.exe"  -trailer:all= "%~dp1\!files[%%i]!.mpo" -o "%~dp0\tmp_mpo_l.jpg"
"%~dp0\exiftool.exe" "%~dp1\!files[%%i]!.mpo" -mpimage2 -b > "%~dp0\tmp_mpo_r.jpg"
"%~dp0\StereoAutoAlign" "%~dp0\tmp_mpo_l.jpg" "%~dp0\tmp_mpo_r.jpg" 10 "%~dp1\lr\!files[%%i]!_l.jpg" "%~dp1\lr\!files[%%i]!_r.jpg"
echo Copy Exif
"%~dp0\exiftool.exe" -TagsFromFile "%~dp1\!files[%%i]!.mpo" -overwrite_original -all:all "%~dp1\lr\!files[%%i]!_l.jpg"
"%~dp0\exiftool.exe" -TagsFromFile "%~dp1\!files[%%i]!.mpo" -overwrite_original -all:all "%~dp1\lr\!files[%%i]!_r.jpg"
echo Reset orientation tag
"%~dp0\exiftool.exe" -Orientation=1 -n -overwrite_original "%~dp1\lr\!files[%%i]!_l.jpg"
"%~dp0\exiftool.exe" -Orientation=1 -n -overwrite_original "%~dp1\lr\!files[%%i]!_r.jpg"
del "%~dp0\tmp_mpo_r.jpg"
del "%~dp0\tmp_mpo_l.jpg"
) 
endlocal

pause